package com.ruoyi.project.mapper;

import java.util.List;
import com.ruoyi.project.domain.TrsPersonResult;

/**
 * 个人信息隐私检测Mapper接口
 * 
 * @author ruoyi
 * @date 2025-04-02
 */
public interface TrsPersonResultMapper 
{
    /**
     * 查询个人信息隐私检测
     * 
     * @param id 个人信息隐私检测主键
     * @return 个人信息隐私检测
     */
    public TrsPersonResult selectTrsPersonResultById(Long id);

    /**
     * 查询个人信息隐私检测列表
     * 
     * @param trsPersonResult 个人信息隐私检测
     * @return 个人信息隐私检测集合
     */
    public List<TrsPersonResult> selectTrsPersonResultList(TrsPersonResult trsPersonResult);

    /**
     * 新增个人信息隐私检测
     * 
     * @param trsPersonResult 个人信息隐私检测
     * @return 结果
     */
    public int insertTrsPersonResult(TrsPersonResult trsPersonResult);

    /**
     * 修改个人信息隐私检测
     * 
     * @param trsPersonResult 个人信息隐私检测
     * @return 结果
     */
    public int updateTrsPersonResult(TrsPersonResult trsPersonResult);

    /**
     * 删除个人信息隐私检测
     * 
     * @param id 个人信息隐私检测主键
     * @return 结果
     */
    public int deleteTrsPersonResultById(Long id);

    /**
     * 批量删除个人信息隐私检测
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTrsPersonResultByIds(String[] ids);

    Long selectId(String datakey);
}
